Subject: bug#29346: dwim transpose-subr opportunity?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Nov 2017 16:45:45 +0200

> From: Tomas Nordin <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 18 Nov 2017 14:35:22 +0100
> 
> > I think this would be a source of inadvertent mistakes and
> > annoyances.  Transient Mark mode is on by default, which means M-t can
> > frequently do something the user didn't intend it to, just because the
> > region happened to be active.  A similar situation exists with typing
> 
> Is an example of that the following
> 
>     ^Jack and Jill over ^jumped the hill.
> 
> The first '^' is for the mark and next is for point, making an active
> region, and now I hit M-t because I wanted to swap 'over' with 'jump',
> but instead I swapped 'Jack' with 'jumped'.
> 
> Just for my understanding. Or is there better examples?

You understood me, that's exactly what I had in mind.

> >> It gets a bit silly as suggested though, I guess the logic should be
> >> something like (or (= arg 0) (and transpose-dwim (use-region-p)))
> >
> > Maybe.  But I wonder why this relatively rare use case is so important
> > as to mandate a new defcustom, whose only purpose is to save the user
> > from typing M-0 or "C-u 0".  Just because people didn't read the doc
> 
> I was mostly thinking not to disturb the long lasting default I think,
> or the possible annoyances as you say.

Thanks for clarifying that.